Bug 1035035 - Unable to create function from the reconciler
Summary: Unable to create function from the reconciler
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Van Halbert
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-26 22:19 UTC by Van Halbert
Modified: 2016-09-13 12:39 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
When building functions in Teiid Designer, users are not able to create recursive functions. The workaround is: 1) Cancel out of the reconciler dialog 2) Place your cursor in the SQL near the columns that need reconciling 3) Select the "Expression Builder" action on the Transformation Editor toolbar 4) Create/edit your complex/nested function definition
Clone Of:
Environment:
Last Closed: 2013-12-05 14:49:23 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-1949 Minor Closed Unable to create function from the reconciler 2018-02-01 00:34:32 UTC

Comment 2 JBoss JIRA Server 2013-11-26 23:55:20 UTC
Steven Hawkins <shawkins@redhat.com> made a comment on jira TEIIDDES-1949

There is a designer customization to FunctionLibrary here correct?  From FunctionTree it implies that a function has been added to the with some null type information.

Comment 3 JBoss JIRA Server 2013-11-27 12:58:30 UTC
Barry LaFond <blafond@jboss.org> made a comment on jira TEIIDDES-1949

Van, can you clarify?

1) Did you add a custom function for your use-case?
2) Did you just try and use the simple string concat() functions?

Comment 4 JBoss JIRA Server 2013-11-27 14:09:14 UTC
Van Halbert <vhalbert@jboss.org> made a comment on jira TEIIDDES-1949

No, I was using concat(string, string).

Example:   concat( LastName,  concat(', ', FirstName))

I even tried just comma without single quotes.

Comment 5 JBoss JIRA Server 2013-11-27 20:52:39 UTC
Barry LaFond <blafond@jboss.org> made a comment on jira TEIIDDES-1949

Looks like our ReconcilerPanel has limited support for function definition which does not correctly recurse through nested functions as in:

concat( LastName, concat(', ', FirstName))

Launching from T-Editor, Teiid's ResolverVisitor correctly does this.

Workaround is to use the Function Builder from the T-Editor for complex function building.

Comment 6 JBoss JIRA Server 2013-11-27 20:56:24 UTC
Barry LaFond <blafond@jboss.org> made a comment on jira TEIIDDES-1949

Maybe put a hack in to check for this use-case (arg.getType() == NULL) and throw up a warning dialog stating:  "Attempting to create complex, nested function definition. Please launch function builder from Transformation Editor toolbar"

Comment 7 Van Halbert 2013-12-02 14:52:19 UTC
This is being pushed to next update because there is a workaround:

1) Cancel out of the reconciler dialog
2) Place your cursor in the SQL near the columns that need reconciling
3) Select the "Expression Builder" action the the Transformation Editor toolbar
4) Create/edit your complex/nested function definition

Comment 8 belong 2014-01-10 04:50:26 UTC
This is not flagged as a known issue in Release Notes, because it has been closed. It is flagged as an ongoing issue. Setting to requires_doc_text- accordingly.

Comment 9 JBoss JIRA Server 2016-06-22 20:59:58 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-1949 to Resolved

Comment 10 JBoss JIRA Server 2016-09-13 12:39:35 UTC
Matus Makovy <mmakovy@redhat.com> updated the status of jira TEIIDDES-1949 to Closed


Note You need to log in before you can comment on or make changes to this bug.